package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台报价单项目对象 bus_supplier_release_play
 * 
 * @author zf
 * @date 2022-07-22
 */
public class BusSupplierReleasePlay extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 路线编号 */
    @Excel(name = "路线编号")
    private String uuid;

    /** 类型 0景区；1酒店；2出行 */
    @Excel(name = "类型 0景区；1酒店；2出行")
    private String typeVal;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 视频 */
    @Excel(name = "视频")
    private String videoUrl;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 天数 */
    @Excel(name = "天数")
    private String dayNum;

    /** 修改内容 */
    @Excel(name = "修改内容")
    private String updateContent;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUuid(String uuid) 
    {
        this.uuid = uuid;
    }

    public String getUuid() 
    {
        return uuid;
    }
    public void setTypeVal(String typeVal) 
    {
        this.typeVal = typeVal;
    }

    public String getTypeVal() 
    {
        return typeVal;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setVideoUrl(String videoUrl) 
    {
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl() 
    {
        return videoUrl;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setDayNum(String dayNum) 
    {
        this.dayNum = dayNum;
    }

    public String getDayNum() 
    {
        return dayNum;
    }
    public void setUpdateContent(String updateContent) 
    {
        this.updateContent = updateContent;
    }

    public String getUpdateContent() 
    {
        return updateContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uuid", getUuid())
            .append("typeVal", getTypeVal())
            .append("content", getContent())
            .append("imgUrl", getImgUrl())
            .append("videoUrl", getVideoUrl())
            .append("name", getName())
            .append("dayNum", getDayNum())
            .append("updateContent", getUpdateContent())
            .toString();
    }
}
